#!/usr/local/bin/python

print "Content-type: text/html\n"
print """
<html>
<head>
<script language="Javascript">
var charts = [
    ['', "Pie Chart Samples"],
    ['simplepie.py', "Simple Pie Chart", 1],
    ['threedpie.py', "3D Pie Chart", 1],
    ['multidepthpie.py', "Multi-Depth Pie Chart", 1],
    ['sidelabelpie.py', "Side Label Layout", 1],
    ['smallsectorpie.py', "Pie with Small Sectors", 1],
    ['circlelabelpie.py', "Circular Label Layout", 2],
    ['legendpie.py', "Pie Chart with Legend", 1],
    ['iconpie.py', "Icon Pie Chart", 1],
    ['iconpie2.py', "Icon Pie Chart (2)", 1],
    ['multipie.py', "Multi-Pie Chart", 3],
    ['donut.py', "Donut Chart", 1],
    ['icondonut.py', "Icon Donut Chart", 1],
    ['texturedonut.py', "Texture Donut Chart", 1],
    ['concentric.py', "Concentric Donut Chart", 1],
    ['fontpie.py', "Text Style and Colors", 1],
    ['colorpie.py', "Coloring and Wallpaper", 4],
    ['threedanglepie.py', "3D Angle", 7],
    ['threeddepthpie.py', "3D Depth", 5],
    ['shadowpie.py', "3D Shadow Mode", 4],
    ['anglepie.py', "Start Angle and Direction", 2],
    ['donutwidth.py', "Donut Width", 5],
    ['', ""],
    ['', "Bar Chart Samples"],
    ['simplebar.py', "Simple Bar Chart", 1],
    ['colorbar.py', "Multi-Color Bar Chart", 1],
    ['softlightbar.py', "Soft Bar Shading", 1],
    ['glasslightbar.py', "Glass Bar Shading", 1],
    ['cylinderlightbar.py', "Cylinder Bar Shading", 1],
    ['threedbar.py', "3D Bar Chart", 1],
    ['cylinderbar.py', "Cylinder Bar Shape", 1],
    ['polygonbar.py', "Polygon Bar Shapes", 1],
    ['stackedbar.py', "Stacked Bar Chart", 1],
    ['percentbar.py', "Percentage Bar Chart", 1],
    ['multibar.py', "Multi-Bar Chart", 1],
    ['softmultibar.py', "Soft Multi-Bar Chart", 1],
    ['glassmultibar.py', "Glass Multi-Bar Chart", 1],
    ['multicylinder.py', "Multi-Cylinder Chart", 1],
    ['multishapebar.py', "Multi-Shape Bar Chart", 1],
    ['overlapbar.py', "Overlapping Bar Chart", 1],
    ['multistackbar.py', "Multi-Stacked Bar Chart", 1],
    ['depthbar.py', "Depth Bar Chart", 1],
    ['posnegbar.py', "Positive Negative Bars", 1],
    ['hbar.py', "Borderless Bar Chart", 1],
    ['dualhbar.py', "Dual Horizontal Bar Charts", 1],
    ['pareto.py', "Pareto Chart", 1],
    ['gapbar.py', "Bar Gap", 6],
    ['', ""],
    ['', "Line Chart Samples"],
    ['simpleline.py', "Simple Line Chart", 1],
    ['compactline.py', "Compact Line Chart", 1],
    ['threedline.py', "3D Line Chart", 1],
    ['multiline.py', "Multi-Line Chart", 1],
    ['symbolline.py', "Symbol Line Chart", 1],
    ['symbolline2.py', "Symbol Line Chart (2)", 1],
    ['splineline.py', "Spline Line Chart", 1],
    ['stepline.py', "Step Line Chart", 1],
    ['linecompare.py', "Line Comparison", 1],
    ['errline.py', "Line with Error Symbols", 1],
    ['multisymbolline.py', "Multi-Symbol Line Chart", 1],
    ['customsymbolline.py', "Custom Symbols", 1],
    ['rotatedline.py', "Rotated Line Chart", 1],
    ['xyline.py', "Arbitrary XY Line Chart", 1],
    ['discontline.py', "Discontinuous Lines", 1],
    ['', ""],
    ['', "Trending and Curve Fitting"],
    ['trendline.py', "Trend Line Chart", 1],
    ['scattertrend.py', "Scatter Trend Chart", 1],
    ['confidenceband.py', "Confidence Band", 1],
    ['curvefitting.py', "General Curve Fitting", 1],
    ['', ""],
    ['', "Scatter/Bubble/Vector Charts"],
    ['scatter.py', "Scatter Chart", 1],
    ['builtinsymbols.py', "Built-in Symbols", 1],
    ['scattersymbols.py', "Custom Scatter Symbols", 1],
    ['scatterlabels.py', "Custom Scatter Labels", 1],
    ['bubble.py', "Bubble Chart", 1],
    ['bubblescale.py', "Bubble XY Scaling", 1],
    ['vector.py', "Vector Chart", 1],
    ['', ""],
    ['', "Area Chart Samples"],
    ['simplearea.py', "Simple Area Chart", 1],
    ['enhancedarea.py', "Enhanced Area Chart", 1],
    ['threedarea.py', "3D Area Chart", 1],
    ['patternarea.py', "Pattern Area Chart", 1],
    ['stackedarea.py', "Stacked Area Chart", 1],
    ['threedstackarea.py', "3D Stacked Area Chart", 1],
    ['percentarea.py', "Percentage Area Chart", 1],
    ['deptharea.py', "Depth Area Chart", 1],
    ['rotatedarea.py', "Rotated Area Chart", 1],
    ['', ""],
    ['', "Floating Box/Waterfall Charts"],
    ['boxwhisker.py', "Box-Whisker Chart", 1],
    ['boxwhisker2.py', "Horizontal Box-Whisker Chart", 1],
    ['floatingbox.py', "Floating Box Chart", 1],
    ['waterfall.py', "Waterfall Chart", 1],
    ['posnegwaterfall.py', "Pos/Neg Waterfall Chart", 1],
    ['', ""],
    ['', "Gantt Charts"],
    ['gantt.py', "Simple Gantt Chart", 1],
    ['colorgantt.py', "Multi-Color Gantt Chart", 1],
    ['layergantt.py', "Multi-Layer Gantt Chart", 1],
    ['', ""],
    ['', "Finance Charts"],
    ['hloc.py', "Simple HLOC Chart", 1],
    ['candlestick.py', "Simple Candlestick Chart", 1],
    ['finance.py', "Finance Chart (1)", 1],
    ['finance2.py', "Finance Chart (2)", 1],
    ['<a href="javascript:window.open(\\'financedemo.py\\', \\'financedemo\\').focus();">', "Interactive Financial Chart", -1],
    ['', ""],
    ['', "Other XY Chart Features"],
    ['markzone.py', "Marks and Zones", 1],
    ['markzone2.py', "Marks and Zones (2)", 1],
    ['yzonecolor.py', "Y Zone Coloring", 1],
    ['xzonecolor.py', "X Zone Coloring", 1],
    ['dualyaxis.py', "Dual Y-Axis", 1],
    ['dualxaxis.py', "Dual X-Axis", 1],
    ['multiaxes.py', "Multiple Axes", 1],
    ['fourq.py', "4 Quadrant Chart", 1],
    ['fontxy.py', "Text Style and Colors", 1],
    ['background.py', "Background and Wallpaper", 4],
    ['logaxis.py', "Log Scale Axis", 2],
    ['axisscale.py', "Y-Axis Scaling", 5],
    ['ticks.py', "Tick Density", 2],
    ['', ""],
    ['', "Polar Charts"],
    ['simpleradar.py', "Simple Radar Chart", 1],
    ['multiradar.py', "Multi Radar Chart", 1],
    ['stackradar.py', "Stacked Radar Chart", 1],
    ['polarline.py', "Polar Line Chart", 1],
    ['polararea.py', "Polar Area Chart", 1],
    ['polarspline.py', "Polar Spline Chart", 1],
    ['polarscatter.py', "Polar Scatter Chart", 1],
    ['polarbubble.py', "Polar Bubble Chart", 1],
    ['polarvector.py', "Polar Vector Chart", 1],
    ['rose.py', "Simple Rose Chart", 1],
    ['stackrose.py', "Stacked Rose Chart", 1],
    ['polarzones.py', "Circular Zones", 1],
    ['polarzones2.py', "Sector Zones", 1],
    ['', ""],
    ['', "Meters/Dials/Guages"],
    ['semicirclemeter.py', "Semi-Circle Meter", 1],
    ['roundmeter.py', "Round Meter", 1],
    ['wideameter.py', "Wide Angular Meters", 6],
    ['squareameter.py', "Square Angular Meters", 4],
    ['multiameter.py', "Multi-Pointer Angular Meter", 1],
    ['iconameter.py', "Icon Angular Meter", 1],
    ['hlinearmeter.py', "Horizontal Linear Meter", 1],
    ['vlinearmeter.py', "Vertical Linear Meter", 1],
    ['multihmeter.py', "Multi-Pointer Horizontal Meter", 1],
    ['multivmeter.py', "Multi-Pointer Vertical Meter", 1],
    ['linearzonemeter.py', "Linear Zone Meter", 1],
    ['', ""],
    ['', "Clickable Charts"],
    ['clickbar.py', "Simple Clickable Charts", 0],
    ['jsclick.py', "Javascript Clickable Chart", 0],
    ['customclick.py', "Custom Clickable Objects", 0],
    ['', ""],
    ['', "Working With Database"],
    ['dbdemo1.py', "Database Integration (1)", 0],
    ['dbdemo2.py', "Database Integration (2)", 0],
    ['dbdemo3.py', "Database Clickable Charts", 0],
    ['', ""],
    ['', "Zooming and Scrolling"],
    ['<a href="javascript:window.open(\\'zoomscrolldemo.py\\', \\'zoomscrolldemo\\').focus();">', "Zoom/Scroll Demo (1)", -1],
    ['<a href="javascript:window.open(\\'zoomscrolldemo2.py\\', \\'zoomscrolldemo\\').focus();">', "Zoom/Scroll Demo (2)", -1],
    ['', ""],
    ['', "Realtime Charts"],
    ['<a href="javascript:window.open(\\'realtimedemo.py\\', \\'realtimedemo\\').focus();">', "Realtime Chart Demo", -1],
    ['', ""]
    ];
function setChart(c)
{
    var doc = top.indexright.document;
    doc.open();
    doc.writeln('<body topmargin="5" leftmargin="5" rightmargin="0" marginwidth="5" marginheight="5">');
    doc.writeln('<div style="font-size:18pt; font-family:verdana; font-weight:bold">');
    doc.writeln('    ' + charts[c][1]);
    doc.writeln('</div>');
    doc.writeln('<hr color="#000080">');
    doc.writeln('<div style="font-size:10pt; font-family:verdana; margin-bottom:20">');
    doc.writeln('    <a href="viewsource.py?file=' + charts[c][0] + '">View Chart Source Code</a>');
    doc.writeln('</div>');
    if (charts[c][2] > 1)
    {
        for (var i = 0; i < charts[c][2]; ++i)
            doc.writeln('<img src="' + charts[c][0] + '?img=' + i + '">');
    }
    else
        doc.writeln('<img src="' + charts[c][0] + '">');
    doc.writeln('</body>');
    doc.close();
}
</script>
<style type="text/css">
p.demotitle {margin-top:1; margin-bottom:2; padding-left:1; font-family:verdana; font-weight:bold; font-size:9pt;}
p.demolink {margin-top:0; margin-bottom:0; padding-left:3; padding-top:2; padding-bottom:1; font-family:verdana; font-size:8pt;}
</style>
</head>
<body topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="font-family:verdana; font-size:8pt;">
<script language="Javascript">
for (var c in charts)
{
    if (charts[c][1] == "")
        document.writeln('<tr><td><p class="demolink">&nbsp;</p></td></tr>');
    if (charts[c][0] == "")
        document.writeln('<tr><td colspan="2" bgcolor="#9999FF"><p class="demotitle">' + charts[c][1] + '</p></td></tr>');
    else
    {
        document.write('<tr valign="top"><td><p class="demolink">&#8226;</p></td><td><p class="demolink">');
        if (charts[c][2] > 0)
            document.write('<a href="javascript:;" onclick="setChart(\\'' + c + '\\');">');
        else if (charts[c][2] == 0)
               document.write('<a href="' + charts[c][0] + '" target="indexright">');
        else
               document.write(charts[c][0]);
           document.write(charts[c][1]);
           document.writeln('</a></p></td></tr>');
    }
}
</script>
</table>
</body>
</html>
"""
